# -*- coding: utf-8 -*-
from setuphelpers import *


newlocale = "fr"


def install():
    print(WAPT.locales)
    if not newlocale in WAPT.locales:
        WAPT.locales.append(newlocale)
        inifile_writestring(WAPT.config_filename, "global", "locales", ",".join(WAPT.locales))
        WAPT.reload_config_if_updated()


def uninstall():
    if newlocale in WAPT.locales:
        WAPT.locales.remove(newlocale)
        inifile_writestring(WAPT.config_filename, "global", "locales", ",".join(WAPT.locales))
        WAPT.reload_config_if_updated()

    if not inifile_readstring(WAPT.config_filename, "global", "locales", ",".join(WAPT.locales)):
        inifile_deleteoption(WAPT.config_filename, "global", "locales")
        WAPT.reload_config_if_updated()


def audit():
    if newlocale in WAPT.locales:
        print(f"locale : {newlocale} is present")
        return "OK"
    else:
        print(f"locale : {newlocale} is absent")
        return "ERROR"
